# MSP::CCS::CoordinateSystem Class Reference

`#include <CoordinateSystem.h>`

Inheritance diagram for MSP::CCS::CoordinateSystem:

List of all members.

## Public Member Functions

| CoordinateSystem ()
| CoordinateSystem (double _semiMajorAxis, double _flattening)
| ~CoordinateSystem ()
void | getEllipsoidParameters (double *_semiMajorAxis, double *_flattening)

## Protected Attributes

double | semiMajorAxis
double | flattening

## Detailed Description

Definition at line 13 of file CoordinateSystem.h.

## Constructor & Destructor Documentation

CoordinateSystem::CoordinateSystem | ( |  | ) |

Definition at line 9 of file CoordinateSystem.cpp.

CoordinateSystem::CoordinateSystem | ( | double | _semiMajorAxis,
|  | double | _flattening |
| ) |  |  |

Definition at line 20 of file CoordinateSystem.cpp.

CoordinateSystem::~CoordinateSystem | ( |  | ) |

Definition at line 34 of file CoordinateSystem.cpp.

## Member Function Documentation

void CoordinateSystem::getEllipsoidParameters | ( | double * | _semiMajorAxis,
|  | double * | _flattening |
| ) |  |  |

Definition at line 58 of file CoordinateSystem.cpp.

## Member Data Documentation

double MSP::CCS::CoordinateSystem::flattening `[protected]`

Definition at line 52 of file CoordinateSystem.h.

double MSP::CCS::CoordinateSystem::semiMajorAxis `[protected]`

Definition at line 51 of file CoordinateSystem.h.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/misc/CoordinateSystem.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/misc/CoordinateSystem.cpp